Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 324075 - "Invalid Gentoo Copyright" warnings in git repos
Summary: "Invalid Gentoo Copyright" warnings in git repos
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 335925
  Show dependency tree
 
Reported: 2010-06-15 07:47 UTC by Torsten Veller (RETIRED)
Modified: 2010-09-04 08:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Veller (RETIRED) gentoo-dev 2010-06-15 07:47:48 UTC
As git doesn't preserve mtime AFAIK, the COPYRIGHT_ERROR reports are useless.
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2010-06-15 10:00:04 UTC
Are you suggesting we make this check work in git via an alternate means or do you just want a way to turn it off?

-A
Comment 2 Zac Medico gentoo-dev 2010-06-15 17:57:31 UTC
I've disabled the mtime check for git here:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=04cdd7c9ecb92caacada00d78d80a9b159d7390c

If there's some way to query the mtime from git then we can easily add support for that.
Comment 3 Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2010-08-09 17:21:40 UTC
Would using commit time be an acceptable compromise? If you consider committing a change, it makes sense enough to me, and using the commit time from git log -- Filename  would be better than just ignoring the copyright.

Comment 4 Zac Medico gentoo-dev 2010-08-10 03:43:16 UTC
(In reply to comment #3)
> Would using commit time be an acceptable compromise?

That's a good idea. I guess the simplest approach would would be to look only at the mtimes of files that have been added or modified, and ignore the rest.
Comment 5 Zac Medico gentoo-dev 2010-08-18 14:41:22 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Would using commit time be an acceptable compromise?
> 
> That's a good idea. I guess the simplest approach would would be to look only
> at the mtimes of files that have been added or modified, and ignore the rest.

This is in git now:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=ba283624d5e607deffb9b5849ea4890ef773e739
Comment 6 Zac Medico gentoo-dev 2010-08-23 06:24:41 UTC
This is in 2.2_rc68, but I'll leave this bug open until it's in an unmasked version.
Comment 7 Zac Medico gentoo-dev 2010-09-04 08:32:45 UTC
This is fixed in 2.1.9.